﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="WebForm1.aspx.vb" Inherits="C1GridView_HierarchyVB.WebForm1" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1GridView" TagPrefix="wijmo" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>

            <asp:ScriptManager runat="server" ID="ScriptManager1" />

            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                <ContentTemplate>

                    <wijmo:C1GridView ID="Customers" runat="server" DataSourceID="CustomersDataSource" DataKeyNames="CustomerID" AutogenerateColumns="False" AllowSorting="True"
                        AllowPaging="True" PageSize="2" AllowColMoving="True" Style="top: 0px; left: 0px">
                        <Columns>
                            <wijmo:C1BoundField DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName" />
                            <wijmo:C1BoundField DataField="Country" HeaderText="Country" SortExpression="Country" />
                            <wijmo:C1BoundField DataField="City" HeaderText="City" SortExpression="City">
                            </wijmo:C1BoundField>
                        </Columns>

                        <Detail>
                            <wijmo:C1DetailGridView runat="server" ID="Orders" DataSourceID="OrdersDataSource" DataKeyNames="OrderID" AutogenerateColumns="false" AllowSorting="true" AllowPaging="true" PageSize="2" AllowColMoving="true">
                                <Columns>
                                    <wijmo:C1BoundField DataField="ShippedDate" HeaderText="ShippedDate" SortExpression="ShippedDate" />
                                    <wijmo:C1BoundField DataField="Freight" HeaderText="Freight" SortExpression="Freight" />
                                    <wijmo:C1BoundField DataField="ShipVia" HeaderText="ShipVia" SortExpression="ShipdVia" />
                                </Columns>

                                <Relation>
                                    <wijmo:MasterDetailRelation DetailDataKeyName="CustomerID" MasterDataKeyName="CustomerID" />
                                </Relation>

                                <Detail>
                                    <wijmo:C1DetailGridView runat="server" ID="Details" DataSourceID="OrderDetailsDataSource" DataKeyNames="OrderID" AutogenerateColumns="false" AllowPaging="true" PageSize="2" AllowColMoving="true">
                                        <Columns>
                                            <wijmo:C1BoundField DataField="UnitPrice" HeaderText="UnitPrice" SortExpression="UnitPrice" />
                                            <wijmo:C1BoundField DataField="Quantity" HeaderText="Quantity" SortExpression="Quantity" />
                                            <wijmo:C1BoundField DataField="Discount" HeaderText="Discount" SortExpression="Discount" />
                                        </Columns>
                                        <Relation>
                                            <wijmo:MasterDetailRelation DetailDataKeyName="OrderID" MasterDataKeyName="OrderID" />
                                        </Relation>
                                    </wijmo:C1DetailGridView>
                                </Detail>
                            </wijmo:C1DetailGridView>
                        </Detail>
                    </wijmo:C1GridView>

                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:AccessDataSource ID="CustomersDataSource" runat="server" DataFile="~/App_Data/C1NWind.mdb" SelectCommand="SELECT TOP 5 * FROM [Customers]"></asp:AccessDataSource>
            <asp:AccessDataSource ID="OrdersDataSource" runat="server" DataFile="~/App_Data/C1NWind.mdb" SelectCommand="SELECT * FROM [Orders] WHERE ([CustomerID] = ?)">
                <SelectParameters>
                    <asp:SessionParameter Name="CustomerID" SessionField="CustomerID" Type="String" />
                </SelectParameters>
            </asp:AccessDataSource>
            <asp:AccessDataSource ID="OrderDetailsDataSource" runat="server" DataFile="~/App_Data/C1NWind.mdb" SelectCommand="SELECT * FROM [Order Details] WHERE ([OrderID] = ?)">
                <SelectParameters>
                    <asp:SessionParameter Name="OrderID" SessionField="OrderID" Type="Int32" />
                </SelectParameters>
            </asp:AccessDataSource>

        </div>
    </form>
</body>
</html>
